commit:     c437552b7f8c54c506afa42346053a7d0debb547
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 26 13:48:55 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Dec 26 13:48:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c437552b

mail-filter/pypolicyd-spf: new version 2.0.2.

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 mail-filter/pypolicyd-spf/Manifest                 |  1 +
 .../pypolicyd-spf/pypolicyd-spf-2.0.2.ebuild       | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/mail-filter/pypolicyd-spf/Manifest 
b/mail-filter/pypolicyd-spf/Manifest
index aa6f1257b3a..dad8c334b26 100644
--- a/mail-filter/pypolicyd-spf/Manifest
+++ b/mail-filter/pypolicyd-spf/Manifest
@@ -1 +1,2 @@
 DIST pypolicyd-spf-2.0.1.tar.gz 38086 BLAKE2B 
70d13722000548eac9bb9a6ff80913e88b18227f1a90b864e4fc7749b8e0886e56fff6694d514ed0becb32ca129023cb9e66af3f33a4d4390c8c8c05affa1fb6
 SHA512 
85f51491ab1f44e197dbf9a15f9e723ba3aaf0472d9d1653595490d7211670a67cdca5699111ab5a29f9d919cd935ed58d8d70bd1312a4f0f90da4ef26a50509
+DIST pypolicyd-spf-2.0.2.tar.gz 38546 BLAKE2B 
691cd5db37592be0ef0cda41223280e764e83802e37563f4e6c08505731118199c03d27b0bf51cec0556aa946fc6c7465fe09d3c9100c8e2582a4d85ad828495
 SHA512 
adcc7b30c6922894f9407edd0637b02a138623f4480ec37635475396826b457c835b3ffb599d1985e306770fe5f72404552ed705bd957e63b5c54ca3d8991673

diff --git a/mail-filter/pypolicyd-spf/pypolicyd-spf-2.0.2.ebuild 
b/mail-filter/pypolicyd-spf/pypolicyd-spf-2.0.2.ebuild
new file mode 100644
index 00000000000..d5169e8a55a
--- /dev/null
+++ b/mail-filter/pypolicyd-spf/pypolicyd-spf-2.0.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+# The built-in ipaddress module handles the parsing of IP addresses. If
+# python is built without ipv6 support, then ipaddress can't parse ipv6
+# addresses, and the daemon will crash if it sees an ipv6 SPF record. In
+# other words, it's completely broken.
+PYTHON_REQ_USE="ipv6"
+
+inherit distutils-r1
+
+DESCRIPTION="Python-based policy daemon for Postfix SPF verification"
+HOMEPAGE="https://launchpad.net/${PN}";
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/pyspf[${PYTHON_USEDEP}]"
+
+RDEPEND="${DEPEND}
+       dev-python/authres[${PYTHON_USEDEP}]"
+
+DOCS=( CHANGES policyd-spf.conf.commented README README.per_user_whitelisting )
+
+python_prepare_all() {
+       # The "real" config file mentions the commented one, so we point
+       # users in the right direction.
+       local oldconf="policyd-spf.conf.commented"
+       local newconf="/usr/share/doc/${PF}/${oldconf}"
+
+       sed -i "1 s~ ${oldconf}~,\n#  ${newconf}~" policyd-spf.conf \
+               || die 'failed to update commented config file path'
+
+       distutils-r1_python_prepare_all
+}

Reply via email to